function [] = unsuppressed_output_directory(varargin)
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here

% look in the current directory
switch nargin
    case 0
        current_directory = '.';
        recurse = true;
    case 1
        current_directory = varargin{1};
        recurse = true;
    case 2
        current_directory = varargin{1};
        recurse = varargin{2};
end


list_of_files = dir(current_directory);
for i = 1:size(list_of_files)
    % ignore the . and .. basically anything starting with . ie .svn, etc.
    no_search_dir = regexp(char(list_of_files(i).name),'^\.','once');
    if ~isempty(no_search_dir)
        continue;
    end
    if (list_of_files(i).isdir)
        if recurse
            
            unsuppressed_output_directory([current_directory '/' list_of_files(i).name],recurse);
        end
    end
    
end

what_info = what(current_directory);
for j = 1:size(what_info.m,1)
    unsuppressed_output_file([current_directory '/' char(what_info.m(j))]);
end



end

